"use strict";
this.name = "coyoteAsp225";
this.author = "Captain Okti";
this.copyright = "(C) 2011 Oktay Sarioglu";
this.licence = "Creative Commons Attribution - Non-Commercial - Share Alike 3.0";
this.description = "Script for coyoteAsp225.";

this.shipSpawned = function () {
	this.damage = 0;
}

this.shipTakingDamage = function (amount, whom, type) {
	if (whom !== null) {
		if (whom.primaryRole == "coyotekatikboss3escort") {
			this.damage += amount;
			if (this.damage >= 100); {
				missionVariables.Coyote_status = "STAGE_227";
				this.ship.explode();
			}
		}
	}
}